Bug 1299158 - Version 3.8.2 of jabref is out
Version 3.8.2 of jabref is out
Status: NEW
Product: Fedora
Classification: Fedora
Component: jabref (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ding-Yi Chen
Fedora Extras Quality Assurance
: Tracking
Depends On: 1121734 1247399
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-16 13:15 EST by Alick Zhao
Modified: 2017-08-30 08:43 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1121734
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alick Zhao 2016-01-16 13:15:32 EST
New stable version of jabref, 3.2, has been out. It would be nice to have Fedora packages for it. Thanks.

It seems upstream has switched to github for code hosting, and the website is also under migration. We might need to switch the release monitoring too.
Comment 1 Alick Zhao 2016-01-16 13:17:33 EST
New releases: https://github.com/JabRef/jabref/releases
Migration tracking bug: https://github.com/JabRef/jabref/issues/111
Comment 2 Susi Lehtola 2016-04-16 14:35:26 EDT
I agree, it'd be nice to have an up-to-date version of Jabref in Fedora. Version 2.10 is over a year old (released on Mar 11 2014).
Comment 3 ingli 2016-08-25 18:17:36 EDT
Am not sure how helpful this is to say: Version 3.5 runs stably on F24 in my everyday work with it. 

Also: the depending Block https://bugzilla.redhat.com/show_bug.cgi?id=1247399 seems not to move forward (maybe waiting on this issue?). But, in my lay reading, it seems the block is unproblematic. What needs to be done/checked next?
Comment 4 Orion Poplawski 2016-08-25 18:29:50 EDT
We need the changes in the blocking bug made before we can build a newer jabref.
Comment 5 Orion Poplawski 2016-08-25 19:00:27 EDT
Actually, after a quick look at 3.5, there may be lots of other deps needed as well:

Error: No Package found for mvn(com.googlecode.java-diff-utils)
Error: No Package found for mvn(com.mashape.unirest:unirest-java)
Error: No Package found for mvn(info.debatty:java-string-similarity)
Error: No Package found for mvn(org.swinglabs:swingx)
Comment 6 Christian Stadelmann 2016-12-03 11:09:22 EST
Actually, now it is jabref 3.7.
Comment 7 Ding-Yi Chen 2017-02-08 01:00:50 EST
*Sigh*,

It even changed the build from ant to gradle
Comment 8 Susi Lehtola 2017-02-08 01:13:30 EST
I'd be willing to review any dependencies...
Comment 9 Ding-Yi Chen 2017-02-08 19:27:35 EST
(In reply to Susi Lehtola from comment #8)
> I'd be willing to review any dependencies...

Thank you, there are also several dependencies need to be upgraded.
Such as 
jgoodies-common
jgoodies-form
jgoodies-looks

Regards,
Comment 10 Oliver Kopp 2017-03-14 13:04:38 EDT
jgoodies update is not that easy. In Debian, upstream software had to be updated.

---------- Forwarded message ----------
From: Emmanuel Bourg <ebourg@apache.org>
Date: 2016-12-06 9:48 GMT+01:00
Subject: Re: Freeplane and latest jgoodies-forms: strange runtime error
To: debian-java@lists.debian.org

[...]

You've been hit by a binary incompatibility between jgoodies-forms 1.6
and 1.9. The type of the Borders.DLU2 field changed from
javax.swing.Border to com.jgoodies.forms.factories.Paddings.Padding.
This modification is source compatible (Padding implements
javax.swing.Border) but not binary compatible (the JVM attempts to match
the exact signature), thus requiring the StyleEditorPanel class to be
recompiled.

[...]
Comment 11 Oliver Kopp 2017-03-14 13:07:20 EDT
All external libraries are listed at https://github.com/JabRef/jabref/blob/master/external-libraries.txt - required for the upcoming version 4.0 of JabRef relying on JavaFX being available.

Version 3.8.2 does not rely on JavaFX. Its external libraries are listed at https://github.com/JabRef/jabref/blob/v3.8.2/external-libraries.txt

Sure, the dependencies stated at build.gradle are the ones really used: https://github.com/JabRef/jabref/blob/v3.8.2/build.gradle#L70
Comment 12 Oliver Kopp 2017-03-14 13:09:24 EDT
For the curios persons, the status of Debian packaging is tracked at https://github.com/koppor/jabref/issues/135
Comment 13 Fedora End Of Life 2017-07-25 15:47:25 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 14 Christian Stadelmann 2017-08-27 12:13:34 EDT
JavaFX is packaged in Fedora now. Is there anything else preventing an update?
Comment 15 Orion Poplawski 2017-08-28 22:48:00 EDT
Lots.  First off - bug 1247399 was never resolved properly and so nothing provides:

Error: No Package found for mvn(org.openoffice:juh)
Error: No Package found for mvn(org.openoffice:jurt)
Error: No Package found for mvn(org.openoffice:ridl)
Error: No Package found for mvn(org.openoffice:unoil)

There are lots of other missing deps, starting with:

Error: No Package found for mvn(com.github.lgooddatepicker:LGoodDatePicker)
Error: No Package found for mvn(com.impossibl.pgjdbc-ng:pgjdbc-ng)
Error: No Package found for mvn(de.undercouch:citeproc-java)
Error: No Package found for mvn(net.java.dev.glazedlists:glazedlists_java15)
Error: No Package found for mvn(org.citationstyles:locales)
Error: No Package found for mvn(org.citationstyles:styles)
Error: No Package found for mvn(org.xmlunit:xmlunit-core)
Error: No Package found for mvn(org.xmlunit:xmlunit-matchers)
Comment 16 Oliver Kopp 2017-08-29 13:59:50 EDT
org.xmlunit is only required for testing. This has been fixed in the master branch, but not for the 3.8.2 release.

The other dependencies are still required.

When JabRef 4.0 is released, com.github.lgooddatepicker won't be required anymore.

Note You need to log in before you can comment on or make changes to this bug.